# Copyright (c) 2021, JINGROW and Contributors
# License: MIT. See LICENSE

from click import secho

import jingrow


def execute():
	if jingrow.get_hooks("jenv"):
		print()
		secho(
			'WARNING: The hook "jenv" is deprecated. Follow the migration guide to use the new "jinja" hook.',
			fg="yellow",
		)
		secho("http://git.jingrow.com/jingrow/jingrow/wiki/Migrating-to-Version-13", fg="yellow")
		print()
